<?php
ini_set('display_errors', 1);
require_once './Control/ControlArtigo.php';
require_once './Util/formAjax/FormAjax.php';
//require_once './Util/Imagem.php';
extract($_POST);
//echo print_r($_POST, true);	
$controlArtigo = new ControlArtigo();
if ($acao == 'inserir')
{
	$artigo = new Artigo();
} else
{
	$artigo = $controlArtigo->pegarUmArtigo($pk);
}
if ($acao != 'excluir')
{
    $artigo->lang = $lang;
    if (($cbGaleriaFotoID != '') and ($cbGaleriaFotoID != '0'))
    {
        $artigo->setGaleriaid(stripslashes($cbGaleriaFotoID));

    } else {
        $artigo->setGaleriaid(NULL);
    }
    if (($cbArtigoTipoID != '') and ($cbArtigoTipoID != '0'))
    {
        $artigo->setArtigotipoid(stripslashes($cbArtigoTipoID));
    } else {
        $artigo->setArtigotipoid(NULL);
    }
    $artigo->setFixo(stripslashes($cbFixo));
    $artigo->sTitulo(stripslashes($txtTitulo));
    $artigo->setDataArtigo(stripslashes($txtDataArtigo));
    //$artigo->setOrdem(stripslashes($txtOrdem));
    $artigo->sDescricao(stripslashes($txtDescricao));
    $artigo->sTexto(stripslashes($txtTexto));
    $artigo->sTags(stripslashes($txtTags));
    $artigo->setHabilitado(stripslashes($cbHabilitado));
    //Definir Foto
    if ((isset($upFoto)) and ($upFoto != 'null'))
    {   
        Utilidades::deletarAquivo($artigo->getFoto());
        Utilidades::deletarAquivo($artigo->getFotoq());
        $nomeArquivo = md5(uniqid(time())) . $upFoto[0];
        copy('./upload_temp/' . $upFoto[0], './fotos/artigos/' . $nomeArquivo);
        copy('./upload_temp/thumbnails/' . $upFoto[0], './fotos/artigos/thumbnails/' . $nomeArquivo);
        $artigo->setFotoq('./fotos/artigos/' . $nomeArquivo);
        $artigo->setFoto('./fotos/artigos/thumbnails/' . $nomeArquivo);
        Utilidades::deletarAquivo('./upload_temp/' . $upFoto[0]);
        Utilidades::deletarAquivo('./upload_temp/thumbnails/' . $upFoto[0]);

    }
    //Remover Foto
    if ($remFoto == 'remFoto')
    {
        Utilidades::deletarAquivo($artigo->getFoto());
        Utilidades::deletarAquivo($artigo->getFotoq());
        $artigo->setFoto(NULL);
        $artigo->setFotoq(NULL);
    }
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlArtigo->salvarArtigo($artigo);
                    break;
            case 'inserir':
                    $retorno = $controlArtigo->salvarArtigo($artigo);
                    $acao = 'alterar';
                    $artigo->find(true);
                    $pk = $artigo->getArtigoid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        $retorno = $controlArtigo->excluirArtigo($artigo);
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#artigoID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}

?>